PROCEDURE Area_And_Circum_Frame IS
--------------------------------------------------------------
--| Finds and displays the area and circumference of a circle
--| Author: M. B. Feldman, The George Washington University
--| Last Modified: June 1998
--------------------------------------------------------------
   SUBTYPE NonNegFloat IS Float RANGE 0.0 .. Float'Last;
   Pi : CONSTANT NonNegFloat := 3.14159;

   Radius        : NonNegFloat;  -- input  - radius of a circle
   Area          : NonNegFloat;  -- output - area
   Circumference : NonNegFloat;  -- output - circumference

BEGIN -- Area_And_Circum_Frame
  NULL;

  -- 1. Read the circle radius

  -- 2. Find the area
  -- 2.1 Assign Pi * Radius ** 2 to Area

  -- 3. Find the circumference
  -- 3.1 Assign 2.0 * Pi * Radius to Circumference

  -- 4. Display the Area and Circumference

END Area_And_Circum_Frame;
