WITH Ada.Text_IO;
PROCEDURE Hello_Name IS
------------------------------------------------------------------------
--| Requests, then displays, user's name
--| Author: Michael Feldman, The George Washington University
--| Last Modified: June 1998
------------------------------------------------------------------------

  FirstName: String(1..10); -- object to hold user's name

BEGIN  -- Hello_Name

  -- Prompt for (request user to enter) user's name
  Ada.Text_IO.Put 
    (Item => "Enter your first name, exactly 10 letters.");
  Ada.Text_IO.New_Line;
  Ada.Text_IO.Put 
    (Item => "Add spaces at the end if it's shorter.> ");
  Ada.Text_IO.Get(Item => FirstName);

  -- Display the entered name, with a greeting
  Ada.Text_IO.Put(Item => "Hello ");
  Ada.Text_IO.Put(Item => FirstName);
  Ada.Text_IO.Put(Item => ". Enjoy studying Ada!");
  Ada.Text_IO.New_Line;

END Hello_Name;


