PACKAGE Useful_Functions IS
--------------------------------------------------------------
--| Specifications of functions provided
--| by Useful_Functions package
--| Author: M. B. Feldman, The George Washington University
--| Last Modified: August 1998
--------------------------------------------------------------

  FUNCTION Minimum (Value1, Value2: Integer) RETURN Integer;
  FUNCTION Minimum (Value1, Value2: Float)   RETURN Float;
  -- Pre:  Value1 and Value2 have been assigned values
  -- Post: Returns the smaller of the two input values

  FUNCTION Maximum (Value1, Value2: Integer) RETURN Integer;
  FUNCTION Maximum (Value1, Value2: Float)   RETURN Float;
  -- Pre:  Value1 and Value2 have been assigned values
  -- Post: Returns the larger of the two input values

  FUNCTION Sum (N: Positive) RETURN Positive;
  -- Pre:  N has been assigned a value
  -- Post: Returns the sum of integers from 1 to N

  FUNCTION Factorial (N: Positive) RETURN Positive;
  -- Pre:  N has been assigned a value
  -- Post: Returns the product of integers from 1 to N

END Useful_Functions;

