WITH Spider;
PROCEDURE Draw_Box_with_1_Loop IS
----------------------------------------------------------------
--| Draw 4 x 4 box with spider - use loop
--| Author: M. B. Feldman, The George Washington University
--| Last Modified: July 1998
----------------------------------------------------------------

BEGIN -- Draw_Box_with_1_Loop

  Spider.Start;
  Spider.ChangeColor(NewColor => Spider.Red);

  FOR Side IN 1..4 LOOP
    Spider.Step;
    Spider.Step;
    Spider.Step;
    Spider.TurnRight;
  END LOOP;

  Spider.Quit;

END Draw_Box_with_1_Loop;

