WITH Spider;
PROCEDURE Draw_Box_with_Colors IS
----------------------------------------------------------------
--| Draw 4 x 4 box with spider, changing colors as we go
--| Author: M. B. Feldman, The George Washington University 
--| Last Modified: July 1998
----------------------------------------------------------------

BEGIN -- Draw_Box_with_Colors

  Spider.Start;
  Spider.Face(WhichWay => Spider.West);

  Spider.Step;
  Spider.Step;
  Spider.Step;
  Spider.TurnRight;

  Spider.ChangeColor(NewColor => Spider.None);
  Spider.Step;
  Spider.Step;
  Spider.Step;
  Spider.TurnRight;

  Spider.ChangeColor(NewColor => Spider.Red);
  Spider.Step;
  Spider.Step;
  Spider.Step;
  Spider.TurnRight;

  Spider.ChangeColor(NewColor => Spider.Blue);
  Spider.Step;
  Spider.Step;
  Spider.Step;
  Spider.TurnRight;

  Spider.Quit;

END Draw_Box_with_Colors;
