WITH Spider;
PROCEDURE Go_to_Wall_2 IS
----------------------------------------------------------------
--| Spider steps up to the first wall it meets, then stops
--| This version uses a general loop instead of a counting loop
--| Author: M. B. Feldman, The George Washington University 
--| Last Modified: July 1998
----------------------------------------------------------------

BEGIN -- Go_to_Wall_2

  Spider.Start;
  Spider.ChangeColor(NewColor => Spider.Blue);

  LOOP
    IF Spider.AtWall THEN
      EXIT;
    END IF;
    Spider.Step;
  END LOOP;

  Spider.Quit;

END Go_to_Wall_2;
